# Generated from emass_client-1.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name emass_client

Name: rubygem-%{gem_name}
Version: 1.0.3
Release: 1%{?dist}
Summary: Enterprise Mission Assurance Support Service (eMASS) Ruby Gem
License: Unlicense
URL: https://github.com/swagger-api/swagger-codegen
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9
# BuildRequires: rubygem(rspec) >= 3.6
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec) >= 3.6.0
BuildArch: noarch

%description
The Enterprise Mission Assurance Support Service (eMASS) Representational
State Transfer (REST) Application Programming Interface (API) enables users to
perform assessments and complete actions associated with system records.   The
`emasser` is a command-line interface (CLI) tool that implements all of the 
eMASS endpoints defined in the eMASS REST API v3.2, dated October 21,
2021.</br><br>  <strong>Register CLI</strong></br> New users will need to
register an API key with the eMASS development team prior to accessing the
site for the first time. The eMASS REST API requires a client certificate
(SSL/TLS, DoD PKI only) where {url}/api/register (POST) is used to register
the client certificate.</br></br>  Every call to the eMASS REST API will
require the use of the agreed upon public key certificate and API key. The API
key must be provided in the request header for all endpoint calls (api-key).
If the service receives an untrusted certificate or API key, a 401 error
response code will be returned along with an error message.</br></br> 
<strong>Available Request Headers:</strong></br> <table>   <tr>     <th
align=left>key</th>     <th align=left>Example Value</th>     <th
align=left>Description</th>   </tr>   <tr>     <td>`api-key`</td>    
<td>api-key-provided-by-emass</td>     <td>This API key must be provided in
the request header for all endpoint calls</td>   </tr>   <tr>    
<td>`user-uid`</td>     <td>USER.UID.KEY</td>     <td>This User unique
identifier key must be provided in the request header for all PUT, POST, and
DELETE endpoint calls</td>   </tr>   <tr>     <td></td><td></td>     <td>     
Note: For DoD users this is the DoD ID Number (EIDIPI) on their DoD CAC    
</td>   </tr> </table>  </br><strong>Approve API Client for Actionable
Requests</strong></br> Users are required to log-in to eMASS and grant
permissions for a client to update data within eMASS on their behalf. This is
only required for actionable requests (PUT, POST, DELETE). The Registration
Endpoint and all GET requests can be accessed without completing this process
with the correct permissions. Please note that leaving a field parameter blank
(for PUT/POST requests) has the potential to clear information in the active
eMASS records.  To establish an account with eMASS and/or acquire an
api-key/user-uid, contact one of the listed POC: .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Tue Apr 19 2022 mockbuilder - 1.0.3-1
- Initial package
